<template>
  <q-card>
    <q-card-section>
      <div class="text-h6">Recent Uploads</div>
    </q-card-section>
    <div v-if="videos.length">
      <q-card-section>
        <q-list bordered>
          <q-item clickable v-ripple v-for="file in videos" v-bind:key="file.id">
            <q-item-section avatar>
              <q-avatar square>
                <img src="~/assets/file.svg" />
              </q-avatar>
            </q-item-section>
            <q-item-section>
              <q-item-label>
                {{videos.name}}
              </q-item-label>
              <q-item-label caption>
                {{videos.date}} | {{videos.size}} GB
              </q-item-label>
            </q-item-section>
          </q-item>
        </q-list>

      </q-card-section>
      <q-space />
    </div>
    <div v-else>
      <q-card-section>
              <q-icon name="warning" color="grey" size="4rem"/>
      <div class="text-caption">No Videos available</div>
      </q-card-section>
    </div>
  </q-card>
</template>

<script>
import { ref } from 'vue';
import { usePiStore } from 'stores/backend'

export default {
  setup () {
    const piStore = usePiStore()
    const videos = ref(piStore.getUploads())
    return {videos}
  }
}
</script>
